Next Previous Contents

## 3.66 getcpu

> Function

>   Determine on which CPU the program is running.

> Header

>   `6502.h`

> Declaration

>   `unsigned char getcpu (void);`

> Description

>   The function checks on which CPU the code is running. It returns one of the constants

>   - `CPU_6502`
>   - `CPU_65C02`
>   - `CPU_65816`
> Limits

>   - Other, more exotic CPU types are not disinguished.
> Availability

>   cc65

> Example

>   None.

Next Previous Contents